- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Friends

# QElapsedTimer Class Reference

Search for all occurrences

## Detailed Description

Definition at line 53 of file qelapsedtimer.h.

`#include <qelapsedtimer.h>`

List of all members.

## Public Types
enum | ClockType { SystemTime, MonotonicClock, TickCounter, MachAbsoluteTime }
## Public Member Functions
void | start ()
qint64 | restart ()
void | invalidate ()
bool | isValid () const
qint64 | elapsed () const
bool | hasExpired (qint64 timeout) const
qint64 | msecsSinceReference () const
qint64 | msecsTo (const QElapsedTimer &other) const
qint64 | secsTo (const QElapsedTimer &other) const
bool | operator== (const QElapsedTimer &other) const
bool | operator!= (const QElapsedTimer &other) const
## Static Public Member Functions
static ClockType | clockType ()
static bool | isMonotonic ()
## Friends
bool Q_CORE_EXPORT | operator< (const QElapsedTimer &v1, const QElapsedTimer &v2)

## Member Enumeration Documentation

enum ClockType

Search for all occurrences

Enumerator:

  SystemTime | Search for all occurrences
  MonotonicClock | Search for all occurrences
  TickCounter | Search for all occurrences
  MachAbsoluteTime | Search for all occurrences

Definition at line 56 of file qelapsedtimer.h.

                       {
            SystemTime,
            MonotonicClock,
            TickCounter,
            MachAbsoluteTime
        };

## Member Function Documentation

static ClockType clockType | ( |  | ) | `[static]`

Search for all occurrences

static bool isMonotonic | ( |  | ) | `[static]`

Search for all occurrences

void start | ( |  | ) |

Search for all occurrences

qint64 restart | ( |  | ) |

Search for all occurrences

void invalidate | ( |  | ) |

Search for all occurrences

bool isValid | ( |  | ) | const

Search for all occurrences

qint64 elapsed | ( |  | ) | const

Search for all occurrences

bool hasExpired | ( | qint64 | timeout | ) | const

Search for all occurrences

qint64 msecsSinceReference | ( |  | ) | const

Search for all occurrences

qint64 msecsTo | ( | const QElapsedTimer & | other | ) | const

Search for all occurrences

qint64 secsTo | ( | const QElapsedTimer & | other | ) | const

Search for all occurrences

bool operator== | ( | const QElapsedTimer & | other | ) | const `[inline]`

Definition at line 77 of file qelapsedtimer.h.

        { return t1 == other.t1 && t2 == other.t2; }

bool operator!= | ( | const QElapsedTimer & | other | ) | const `[inline]`

Definition at line 79 of file qelapsedtimer.h.

        { return !(*this == other); }

## Friends And Related Function Documentation

bool Q_CORE_EXPORT operator< | ( | const QElapsedTimer & | v1,
|  | const QElapsedTimer & | v2
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- QtCore/qelapsedtimer.h

QElapsedTimer QElapsedTimer QElapsedTimer QElapsedTimer QElapsedTimer QElapsedTimer QElapsedTimer QElapsedTimer QElapsedTimer QElapsedTimer
QElapsedTimer QElapsedTimer QElapsedTimer QElapsedTimer QElapsedTimer QElapsedTimer QElapsedTimer QElapsedTimer QElapsedTimer QElapsedTimer